<?php 
add_action( 'wp_enqueue_scripts', 'optimized_classic_enqueue_styles' );
function optimized_classic_enqueue_styles() {
	wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' ); 
} 


function optimized_classic_google_fonts() {
	wp_enqueue_style( 'optimized-classic-google-fonts', '//fonts.googleapis.com/css?family=Lato:400,700', false ); 
}
add_action( 'wp_enqueue_scripts', 'optimized_classic_google_fonts' );



require get_stylesheet_directory() . '/inc/custom-header.php'; 



function optimized_classic_customize_register( $wp_customize ) { 
	$wp_customize->add_setting( 'blogfeedbutton_bg', array(
		'default'           => '#fab526',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage',
		) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'blogfeedbutton_bg', array(
		'label'       => __( 'Read More Button Background Color', 'optimized-classic' ),
		'section'     => 'colors',
		'priority'   => 1,
		'settings'    => 'blogfeedbutton_bg',
		) ) );
	$wp_customize->add_setting( 'blogfeedbutton_text', array(
		'default'           => '#fff',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage',
		) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'blogfeedbutton_text', array(
		'label'       => __( 'Read More Button Text Color', 'optimized-classic' ),
		'section'     => 'colors',
		'priority'   => 1,
		'settings'    => 'blogfeedbutton_text',
		) ) );
}
add_action( 'customize_register', 'optimized_classic_customize_register' );
if(! function_exists('optimized_classic_customizer_css_final_output' ) ):
	function optimized_classic_customizer_css_final_output(){
		?>
		<style type="text/css">
		a.readmore-btn { color: <?php echo esc_attr(get_theme_mod( 'blogfeedbutton_text')); ?>; }
		a.readmore-btn { background: <?php echo esc_attr(get_theme_mod( 'blogfeedbutton_bg')); ?>; }
		</style>
		<?php }
		add_action( 'wp_head', 'optimized_classic_customizer_css_final_output' );
		endif;

